Bug 113581 - Using Notebookbar and Hitting Shift while in Custom properties (reduces available system memory until complete system hang w/ gtk2 or hangs up LO w/ gtk3)
Summary: Using Notebookbar and Hitting Shift while in Custom properties (reduces avail...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.2.2 release
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: File-Properties Memory
  Show dependency treegraph
 
Reported: 2017-11-01 21:57 UTC by Eduardo
Modified: 2021-01-11 03:55 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Video (10fps) of the issue (1.09 MB, video/x-matroska)
2017-11-01 22:06 UTC, Eduardo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eduardo 2017-11-01 21:57:52 UTC
Description:
LibreOffice leaks memory when <shift> is pressed multiple times in document properties -> custom properties and Notebookbar is enabled

Steps to Reproduce:
1. Make sure Notebookbar is enabled
2. Open new document in writer or calc
3. Go to document properties -> custom properties
4. Press and release <shift> buttons for some time and watch how memory fills up

Actual Results:  
Libre "eats" all available memory, including swap

Expected Results:
Libre does not "eat" more memory when pressing shift


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Use htop or similar to watch how memory fills up.
Important note: soffice.bin process does NOT consume more memory, but available memory decreases rapidly, I can fill up my 16GB in one minute just by pressing <shift> rapidly.
Ubuntu 16.04.3 + ppa:libreoffice/ppa (version 5.4.2-rc2)


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Ubuntu Chromium/62.0.3202.62 Chrome/62.0.3202.62 Safari/537.36
Comment 1 Eduardo 2017-11-01 22:06:50 UTC
Created attachment 137431 [details]
Video (10fps) of the issue
Comment 2 Eduardo 2017-11-01 22:17:23 UTC
Forgot to mention that memory is released after about 10 seconds after Libre is closed.

I discovered this the hard way :)
I found that pressing exactly shift is the issue by accident tbh.

Initially I edited large doc and went into doc properties, wanted to change one property, so I  selected existing text with shift + end, everything froze up after 10 sec because all by 32GB were used, which is another mystery, why pressing shift once in large doc triggers this type of behavior.
Comment 3 Buovjaga 2017-11-11 16:00:30 UTC
Not reproduced.

Used the same Notebookbar layout, also tried with gtk2 backend.

Maybe this is Ubuntu doing something weird. I recommend you to try with Ubuntu 17.10.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.2.2.0+
Build ID: 5.4.2-2
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha1+
Build ID: 1aba1955f161cc112dab80b6b3e78ec7761616fc
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 10th 2017
Comment 4 Eduardo 2017-11-13 13:47:06 UTC
Maybe Ubuntu is doing smth...
I tried reproducing this in 17.10 and 16.04.3 both in VM. 17.10 (default gnome-shell) does not show problem, 16.04.3 (unity) shows the problem right away.
Comment 5 Buovjaga 2017-11-13 16:36:50 UTC
(In reply to Eduardo from comment #4)
> Maybe Ubuntu is doing smth...
> I tried reproducing this in 17.10 and 16.04.3 both in VM. 17.10 (default
> gnome-shell) does not show problem, 16.04.3 (unity) shows the problem right
> away.

I tried in a virtual machine and I could reproduce with Ubuntu 16.04 and LibreOffice 5.4.2, if I launched it with gtk2.

Can you try in Ubuntu 17.10 by launching from the command line with:

SAL_USE_VCLPLUGIN=gtk libreoffice
Comment 6 Eduardo 2017-11-13 17:32:27 UTC
17.10 + even vanilla LO (5.4.1) has this problem when using gtk2 (libreoffice-gtk2 package needed).

What's even worse is that when editing large doc, I only have to go into said properties and press <Shift> ONCE to trigger total system freeze in 10 seconds.

P.S. I'm actually glad that at least someone did look into this and was able to reproduce the issue. Thanks!
Comment 7 Buovjaga 2017-11-13 18:29:56 UTC
I asked for more testers on IRC, with different distros. Let's set this to NEW in any case.
Comment 8 Eduardo 2017-11-30 20:12:39 UTC
In addition, editing large doc with LO+GTK3, when going in properties as described already, pressing shift causes LO to freeze completely.
It's behaving badly in either of GTKs.
Comment 9 Eduardo 2017-12-01 09:36:55 UTC
This issue is present in LO6 Beta1 as well.
Comment 10 Eduardo 2017-12-11 07:49:25 UTC
Still present in LO6 beta2.
Comment 11 Eduardo 2018-01-02 13:36:32 UTC
Still present in LO6 RC1.
Comment 12 Eduardo 2018-01-30 12:35:21 UTC
Still present in LO6 RC2.
Comment 13 Eduardo 2018-01-30 19:18:30 UTC
Still present in LO6 RC3.

Note: if someone else can reproduce the bug, please update the ticket as I'll not update this unless there is someone else affected or looking into the bug.
Comment 14 QA Administrators 2021-01-11 03:55:10 UTC
Dear Eduardo,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug